# ModelMesh

#### new Cesium.ModelMesh()
Scene/ModelMesh.js 19

A model's mesh and its materials.

Use `Model#getMesh` to create an instance.

##### See:

- Model#getMesh

### Members

#### readonlyid : String
Scene/ModelMesh.js 56

The index of the mesh.

#### readonlymaterials : Array.<ModelMaterial>
Scene/ModelMesh.js 71

An array of `ModelMaterial` instances indexed by the mesh's primitive indices.

#### readonlyname : String
Scene/ModelMesh.js 42

The value of the `name` property of this mesh.